%define beta		b2

Name: xml-commons
Version: 1.0
Release: alt0.1.%beta

Summary: Common code for XML projects
Group: Development/Java
License: Apache Software License
URL: http://xml.apache.org/commons/

%define javadir         %_datadir/java
%define javadocdir      %_datadir/javadoc

%def_disable ant_build

Source0: %name-%version.%beta.tar.bz2
Source1: %name-which.sh
Patch0: %name.build.patch
Patch1: %name.manifest.patch

BuildArch: noarch

%if_enabled ant_build
BuildRequires: ant
%endif

%description
xml-commons is focused on common code and guidelines for xml projects.
Its first focus will be to organize and have common packaging for the
various externally-defined standards code relating to XML - things like
the DOM, SAX, and JAXP interfaces.

%package apis
Summary: APIs subproject of %name
Group: Development/Java
License: W3C Software Notice and License, Public Domain
Requires: %name = %version-%release

%description apis
APIs subproject of %name.

%package which
Summary: Which subproject of %name
Group: Development/Java
Requires: %name = %version-%release
Requires: java-common

%description which
Which subproject of %name - a simple environment check utility
for xml-related items in your Java environment.

%package apis-manual
Summary: Manual for %name-apis
Group: Development/Java
License: W3C Document Notice and License, Public Domain

%description apis-manual
Manual for the external APIs provided by the %name project.

%package apis-javadoc
Summary: Javadoc for %name-apis
Group: Development/Java
License: W3C Document Notice and License, Public Domain

%description apis-javadoc
Javadoc for the external APIs provided by the %name project.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Obsoletes: %name-which-javadoc

%description javadoc
Javadoc for %name, documenting org.apache.env.Which
and org.apache.xml.resolver.Resolver classes.

%prep
%setup -q -n %name-%version.%beta

%if_enabled ant_build
%patch0 -p1 -b .build
%patch1 -p1 -b .manifest
# remove all binary libs and prebuilt javadocs
find . -name '*.jar' -o -name '*.gz' -print0 | xargs -r0 rm -f
%endif

%if_enabled ant_build
%build
ant jars
%endif

%install
install -d -m 755 $RPM_BUILD_ROOT%javadir
install -d -m 755 $RPM_BUILD_ROOT%javadocdir/%name-apis
install -d -m 755 $RPM_BUILD_ROOT%javadocdir/%name
install -p -m 644 java/external/build/xml-apis.jar $RPM_BUILD_ROOT%javadir/%name-apis.jar
install -p -m 644 java/build/which.jar $RPM_BUILD_ROOT%javadir/%name-which.jar
install -d -m 755 $RPM_BUILD_ROOT%_bindir
install -p -m 755 %SOURCE1 $RPM_BUILD_ROOT%_bindir/xml-which

cp -a java/build/docs/javadocs/* $RPM_BUILD_ROOT%javadocdir/%name
cp -a java/external/build/docs/javadoc/* $RPM_BUILD_ROOT%javadocdir/%name-apis

install -d -m 755 $RPM_BUILD_ROOT%_docdir/%name-%version
install -d -m 755 $RPM_BUILD_ROOT%_docdir/%name-apis-%version
cp -a java/external/build/docs/{dom,sax} \
    $RPM_BUILD_ROOT%_docdir/%name-apis-%version
install -p -m 644 java/external/*.txt \
    $RPM_BUILD_ROOT%_docdir/%name-apis-%version
install -p -m 644 java/external/*-sax \
    $RPM_BUILD_ROOT%_docdir/%name-apis-%version

%files
%doc README.html

%files apis
%dir %_docdir/%name-apis-%version
%_docdir/%name-apis-%version/README.*.txt
%_docdir/%name-apis-%version/*-sax
%_docdir/%name-apis-%version/LICENSE.dom-software.txt
%_docdir/%name-apis-%version/LICENSE.sax.txt
%javadir/%name-apis.jar

%files which
%javadir/%name-which.jar
%_bindir/xml-which

%files apis-manual
%dir %_docdir/%name-apis-%version
%_docdir/%name-apis-%version/LICENSE.dom-documentation.txt
%_docdir/%name-apis-%version/dom
%_docdir/%name-apis-%version/sax

%files apis-javadoc
%doc %javadocdir/%name-apis

%files javadoc
%doc %javadocdir/%name

%changelog
* Wed Sep 11 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0-alt0.1.b2
- adaptations for ALT Linux
- ant build is made optional
- non-api javadoc is in fact common for which and resolver, made it
  common package
- more human-friendly descriptions and summaries here and there
- Included licenses for W3C stuff and added License tags accordingly

* Thu Jul 11 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-0.b2.1jpp
- 1.0.b2
- get tarball from xml.apache.org
- add macro section

* Fri Jan 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.b1.1jpp
- first jpp release
